#!/bin/sh
[ "$1" = "-h" ] && cat <<tac

This example tests the following features of the sanitizer:

   - Selection of default file names based on mime-types.
   - Filename truncation (should be truncated from the right)
   - Simple application of the drop, save, mangle, defang and accept
     policies.  The exclamation-policies are also tested.

tac

$ANOMY/bin/sanitizer.pl $SAN_CONF \
    'file_list_rules = 4' \
    'file_list_1_policy = drop' \
    'file_list_1_scanner = 0' \
    'file_list_1 = winmail.dat' \
    'file_list_2_policy = save' \
    'file_list_2_scanner = 0' \
    'file_list_2 = red.txt' \
    'file_list_3_policy = mangle' \
    'file_list_3_scanner = 0' \
    'file_list_3 = orange.txt' \
    'file_list_4_policy = defang' \
    'file_list_4_scanner = 0' \
    'file_list_4 = yellow.txt' \
    'file_list_4_policy = accept' \
    'file_list_4_scanner = 0' \
    'file_list_4 = green.txt' \
    'file_default_policy = defang!' \
    'file_name_tpl = ./.tmp.$$$' \
    'header_rev = 0' \
    'feat_testing = 1' \
    'feat_log_inline = 1' \
    'feat_log_stderr = 0' <<EOF 2>test.log >test.out
From xxx@example.com  Thu Aug  3 07:32:10 2000
Return-Path: <xxx@example.com>
Received: from example.com (root@example.com [149.144.245.5])
	by example.com (8.9.3/8.9.3) with ESMTP id HAA01305
	for <bre@example.com>; Thu, 3 Aug 2000 07:32:03 GMT
From: xxx@example.com
Date: Thu, 3 Aug 2000 06:39:59 GMT
Message-Id: <200008030639.GAA23780@example.com>
MIME-Version: 1.0
Sender: xxx@example.com
Subject: moo
To: fake@example.com
Content-Type: multipart/mixed; boundary="=ABACAB:=_0006@@UtD0uere5ZCIrVlOp0vV"

--=ABACAB:=_0006@@UtD0uere5ZCIrVlOp0vV
Content-Type: application/ms-tnef; charset="iso-8859-1"
Content-Disposition: attachment
Content-Transfer-Encoding: 8bit

this is a very evil file.

--=ABACAB:=_0006@@UtD0uere5ZCIrVlOp0vV
Content-Type: text/plain; charset="iso-8859-1"
Content-Disposition: attachment;
 filename="aaaaaaaaa0aaaaaaaaa1aaaaaaaaa2aaaaaaaaa3aaaaaaaaa4aaaaaaaaa5aaaaaaaaa6aaaaaaaaa7aaaaaaaa.vbs.txt"
Content-Transfer-Encoding: 8bit

this is also a very evil file.

--=ABACAB:=_0006@@UtD0uere5ZCIrVlOp0vV
Content-Type: text/plain; charset="iso-8859-1"
Content-Disposition: attachment; filename="red.txt"
Content-Transfer-Encoding: 8bit

this file is rather evil

--=ABACAB:=_0006@@UtD0uere5ZCIrVlOp0vV
Content-Type: text/plain; charset="iso-8859-1"
Content-Disposition: attachment; filename="orange.txt"
Content-Transfer-Encoding: 8bit

this file is pretty yucky

--=ABACAB:=_0006@@UtD0uere5ZCIrVlOp0vV
Content-Type: text/plain; charset="iso-8859-1"
Content-Disposition: attachment; filename="yellow.txt"
Content-Transfer-Encoding: 8bit

this file is somewhat suspicious

--=ABACAB:=_0006@@UtD0uere5ZCIrVlOp0vV
Content-Type: text/plain; charset="iso-8859-1"
Content-Disposition: attachment; filename="green.txt"
Content-Transfer-Encoding: 8bit

this file is nice

--=ABACAB:=_0006@@UtD0uere5ZCIrVlOp0vV--
EOF

echo "*** Exit code was $? ***" >>test.out

rm -f ./.tmp.*
exit 0
